Index: src/Kconfig
===================================================================
--- src/Kconfig	(revision 5210)
+++ src/Kconfig	(working copy)
@@ -46,15 +46,28 @@
 	  Select the prefix to all files put into the image. It's "fallback"
 	  by default, "normal" is a common alternative.
 
+choice
+	prompt "Compiler"
+	default COMPILER_GCC
+	help
+	  This option allows you to select the compiler used for building
+	  coreboot.
+
+config COMPILER_GCC
+	bool "GCC"
+config COMPILER_LLVM_CLANG
+	bool "clang"
+endchoice
+
 config SCANBUILD_ENABLE
-	bool "build with scan-build for static analysis"
+	bool "Build with scan-build for static analysis"
 	default n
 	help
 	  Changes the build process to scan-build is used.
 	  Requires scan-build in path.
 
 config SCANBUILD_REPORT_LOCATION
-	string "directory to put scan-build report in"
+	string "Directory to put scan-build report in"
 	default ""
 	depends on SCANBUILD_ENABLE
 	help
Index: Makefile
===================================================================
--- Makefile	(revision 5210)
+++ Makefile	(working copy)
@@ -22,8 +22,10 @@
 ifeq ($(INNER_SCANBUILD),y)
 CC_real:=$(CC)
 endif
+
 $(if $(wildcard .xcompile),,$(eval $(shell bash util/xcompile/xcompile > .xcompile)))
 include .xcompile
+
 ifeq ($(INNER_SCANBUILD),y)
 CC:=$(CC_real)
 HOSTCC:=$(CC_real) --hostcc
@@ -78,6 +80,12 @@
 
 include $(top)/.config
 
+ifneq ($(INNER_SCANBUILD),y)
+ifeq ($(CONFIG_COMPILER_LLVM_CLANG),y)
+CC:=clang -m32
+endif
+endif
+
 ARCHDIR-$(CONFIG_ARCH_X86)    := i386
 ARCHDIR-$(CONFIG_ARCH_POWERPC) := ppc
 
